using OpenAuth.WebApi;

namespace Infrastructure.CloudSdk.wayline;

public class TopicServicesRequest<T> : CommonTopicRequest<T>
{
    
   


    public TopicServicesRequest<T> SetTid(string tid)
    {
        base.tid = tid;
        return this;
    }

    public TopicServicesRequest<T> SetBid(string bid)
    {
        base.bid = bid;
        return this;
    }

    public TopicServicesRequest<T> SetTimestamp(long? timestamp)
    {
        base.timestamp = timestamp;
        return this;
    }

    public TopicServicesRequest<T> SetData(T data)
    {
        base.data = data;
        return this;
    }
    public string method { get; set; }
    public int need_reply { get; set; }
    public TopicServicesRequest<T> SetMethod(string method)
    {
        this.method = method;
        return this;
    }
}